AI Actions
List AI actions
Audit log of all actions performed by the AI
GET
/
ai-actions
List AI actions
curl --request GET \
--url https://cookiechimp.com/api/v1/ai-actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://cookiechimp.com/api/v1/ai-actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cookiechimp.com/api/v1/ai-actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"prev_url": "/api/v1/ai-actions?page=",
"next_url": "/api/v1/ai-actions?page=2",
"count": 4,
"page": 1,
"prev": null,
"next": 2
},
"data": [
{
"cookie_id": "example_uuid",
"type": "autofill",
"metadata": {
"description": "Tracks user activities.",
"company": "Example Company",
"domain": "example.com",
"duration": "Session"
}
}
]
}{
"error": {
"code": 400,
"message": "Invalid request"
}
}Authorizations
API token obtained from the login endpoint or the dashboard
Query Parameters
Number of resources to return
Required range:
1 <= x <= 100Number of resources to skip
Required range:
x >= 0Field to sort by
Sort order
Available options:
asc, desc ID of the cookie to filter by
Type of the AI action to filter by
Available options:
autofill, auto_categorisation, auto_approved Was this page helpful?
⌘I
List AI actions
